Statistics
All operations require authentication.
1 operationv1/overTheBox/{serviceName}
Get the statistics of an OverTheBox deviceBeta
GET
/1.0/ overTheBox/ {serviceName}/ statistics
Returns the load, free memory or traffic series of the device for an hourly, daily, weekly or monthly period, each series with its unit, tags and timestamped points.
Path parameters
service Name
required
string
Service name
Query parameters
metrics Type
required
Device Statistics Type Enum
Type of metrics you want to retrieve
Values
loadmemory_freetrafficperiod
Device Statistics Period Enum
Period (default is daily)
Values
dailyhourlymonthlyweeklyResponse
200statistics []successful operation
name
read-only
string
Name of the serie
points
read-only
point []
List of point
tags
read-only
tag []
List of tags
unit
read-only
Device Statistics Unit Enum
Unit of the serie
Values
bpsbyten/aExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ overTheBox/ {serviceName}/ statistics \
-H "authorization: Bearer $OVH_TOKEN"[ { "name": "string", "points": [ { "timestamp": 0, "value": 0 } ], "tags": [ { "name": "string", "value": "string" } ], "unit": "bps" }]